org.codehaus.plexus.util

## Class DirectoryWalker

- java.lang.Object
- - org.codehaus.plexus.util.DirectoryWalker

    public class DirectoryWalker
    extends java.lang.Object

DirectoryWalker

Version:
  $Id: DirectoryWalker.java 8010 2009-01-07 12:59:50Z vsiveton $

### Constructor Summary

Constructors
Constructor and Description
`DirectoryWalker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDirectoryWalkListener(DirectoryWalkListener listener)`
`void` `addExclude(java.lang.String exclude)`
`void` `addInclude(java.lang.String include)`
`void` `addSCMExcludes()` Add's to the Exclude List the default list of SCM excludes.
`java.io.File` `getBaseDir()`
`java.util.List` `getExcludes()`
`java.util.List` `getIncludes()`
`void` `removeDirectoryWalkListener(DirectoryWalkListener listener)` Removes a DirectoryWalkListener.
`void` `scan()` Performs a Scan against the provided `setBaseDir(File)`
`void` `setBaseDir(java.io.File baseDir)`
`void` `setDebugMode(boolean debugEnabled)`
`void` `setExcludes(java.util.List entries)`
`void` `setIncludes(java.util.List entries)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectoryWalker

    public DirectoryWalker()

### Method Detail

#### addDirectoryWalkListener

    public void addDirectoryWalkListener(DirectoryWalkListener listener)

#### addExclude

    public void addExclude(java.lang.String exclude)

#### addInclude

    public void addInclude(java.lang.String include)

#### addSCMExcludes

    public void addSCMExcludes()

Add's to the Exclude List the default list of SCM excludes.

#### setDebugMode

    public void setDebugMode(boolean debugEnabled)

#### getBaseDir

    public java.io.File getBaseDir()

Returns:
  Returns the baseDir.

#### getExcludes

    public java.util.List getExcludes()

Returns:
  Returns the excludes.

#### getIncludes

    public java.util.List getIncludes()

Returns:
  Returns the includes.

#### removeDirectoryWalkListener

    public void removeDirectoryWalkListener(DirectoryWalkListener listener)

Removes a DirectoryWalkListener.

Parameters:
  `listener` - the listener to remove.

#### scan

    public void scan()

Performs a Scan against the provided `setBaseDir(File)`

#### setBaseDir

    public void setBaseDir(java.io.File baseDir)

Parameters:
  `baseDir` - The baseDir to set.

#### setExcludes

    public void setExcludes(java.util.List entries)

Parameters:
  `entries` - The excludes to set.

#### setIncludes

    public void setIncludes(java.util.List entries)

Parameters:
  `entries` - The includes to set.